Local

Create

post

Add a published Local application to a site.

Body

Create a new published local application

namestring · min: 1 · max: 255 · nullableRequired

Published resource name.

parentIdinteger · int32 · nullableOptional

Parent publishing folder ID.

previousIdinteger · int32 · nullableOptional

Previous published ID.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
descriptionstring · nullableOptional

Published resource description.

publishToSiteIdsinteger · int32[] · nullableOptional

An array of Sites IDs to which to publish a resource.

siteIdinteger · int32Optional

Site ID in which to publish the specified Item. If the parameter is omitted, the site ID of the Licensing Server will be used.

urlstring · nullableOptional

URL.

windowsEnabledboolean · nullableOptional

Windows: Whether the application is enabled for the operating system or not.

windowsUseIfAvailableboolean · nullableOptional

Windows: Use the following application if available on local device.

windowsStartInstring · max: 260 · nullableOptional

Windows: Application working directory.

windowsTargetstring · max: 260 · nullableOptional

Windows: Application target file. (i.e. calc.exe, file.txt, etc.).

windowsParametersstring · max: 1024 · nullableOptional

Windows: Application parameters.

windowsWinTypestring · enumOptional

Published application window type

Possible values:
macEnabledboolean · nullableOptional

Mac: Whether the application is enabled for the operating system or not.

linuxEnabledboolean · nullableOptional

Linux: Whether the application is enabled for the operating system or not.

iOSEnabledboolean · nullableOptional

iOS: Whether the application is enabled for the operating system or not.

androidEnabledboolean · nullableOptional

Android: Whether the application is enabled for the operating system or not.

userPortalEnabledboolean · nullableOptional

UserPortal: Whether the application is enabled for the operating system or not.

replicateLocalAppSettingsboolean · nullableOptional

Whether to replicate local application settings or not.

Responses
post
/api/PubItems/Apps/Local

List

get

Retrieve a list of all the published Local applications

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve all the published Local applications (optional)

Responses
chevron-right
200

OK

application/json; api-version=1.0

Published Local Application

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

startOnLogonbooleanOptional

Whether the 'Start automatically when user logs on' option is enabled or disabled.

inheritShortcutDefaultSettingsbooleanOptional

Whether to inherit default shortcut settings or not.

createShortcutOnDesktopbooleanOptional

Whether to create a shortcut on the desktop or not.

createShortcutInStartFolderbooleanOptional

Whether to create a shortcut in the start folder or not.

startPathstring · nullableOptional

Starting path of the published item.

createShortcutInStartUpFolderbooleanOptional

Whether to create a shortcut in the startup folder or not.

replicateShortcutSettingsbooleanOptional

Whether to replicate shortcut settings or not.

urlstring · nullableOptional

URL.

replicateLocalAppSettingsbooleanOptional

Whether to replicate local application settings or not.

get
/api/PubItems/Apps/Local

Update

put

Modify properties of a published Local application.

Path parameters
idinteger · int32Required

ID of the published Local application to be updated

Body

Update settings of a local application

namestring · min: 1 · max: 255 · nullableOptional

A new name to assign to the published resource.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
descriptionstring · nullableOptional

Published resource description.

publishToSiteIdsinteger · int32[] · nullableOptional

An array of sites to which to publish a resource.

preferredRoutingEnabledboolean · nullableOptional

Enable or disable Preferred Routing.

replicateShortcutSettingsboolean · nullableOptional

Replicate shortcut settings to all sites.

createShortcutOnDesktopboolean · nullableOptional

Create a shortcut on a client's desktop.

createShortcutInStartFolderboolean · nullableOptional

Create a shortcut in the client's Start folder.

createShortcutInStartUpFolderboolean · nullableOptional

Create a shortcut in the client's Auto Start folder.

startPathstring · min: 1 · max: 255 · nullableOptional

Specifies the path in the Start folder where the shortcut will be created.

inheritShortcutDefaultSettingsboolean · nullableOptional

Inherit default shortcut settings.

startOnLogonboolean · nullableOptional

Start a resource automatically when a user logs on.

excludePrelaunchboolean · nullableOptional

Exclude application from prelaunch.

urlstring · nullableOptional

URL.

windowsEnabledboolean · nullableOptional

Windows: Whether the application is enabled for the operating system or not.

windowsUseIfAvailableboolean · nullableOptional

Windows: Use the following application if available on local device.

windowsStartInstring · max: 260 · nullableOptional

Windows: Application working directory.

windowsTargetstring · max: 260 · nullableOptional

Windows: Application target file. (i.e. calc.exe, file.txt, etc.).

windowsParametersstring · max: 1024 · nullableOptional

Windows: Application parameters.

windowsWinTypestring · enumOptional

Published application window type

Possible values:
macEnabledboolean · nullableOptional

Mac: Whether the application is enabled for the operating system or not.

linuxEnabledboolean · nullableOptional

Linux: Whether the application is enabled for the operating system or not.

iOSEnabledboolean · nullableOptional

iOS: Whether the application is enabled for the operating system or not.

androidEnabledboolean · nullableOptional

Android: Whether the application is enabled for the operating system or not.

userPortalEnabledboolean · nullableOptional

UserPortal: Whether the application is enabled for the operating system or not.

replicateLocalAppSettingsboolean · nullableOptional

Whether to replicate local application settings or not.

Responses
put
/api/PubItems/{id}/Apps/Local

No content

Delete

delete

Delete a published application from a site.

Path parameters
idinteger · int32Required

ID of the published Local application to be deleted

Responses
delete
/api/PubItems/{id}/Apps/Local

No content

Last updated